Usecases
Divided into four customer-focused key functionalities, our APIs allows for:- Claim Submission: Allows merchants to file new claims on behalf of their customers, providing comprehensive incident details and supporting evidence.
- Claim Information Updates: Empowers merchants to modify claim information prior to adjudication, ensuring accuracy and completeness.
- Claim Retrieval: Enables merchants to retrieve specific claim details using claim IDs or claim numbers.
- Claim Tracking: Provides merchants with a comprehensive view of all customer-submitted claims, allowing for real-time tracking and insightful reporting.
Flow Diagram
Claims Initiation & Filing
This endpoint faciliate the initial of the filing process. A customer experiences an incident covered by their purchased policy. Merchant utlizes this API to initiate the claim, providing all required and supporting evidences. Request Fields
For a full list of these breakdowns, please visit the Definitions to get a detailed breakdown.
Information Update
This API empowers the merchant to modify specific aspect of the claim details before adjudication. In accordance with our partner providers, some information are non-changeable after initial request, so please confirm details before successfuly filing a claim request on behalf of your customer claim request. Request Fields
For a full list of these breakdowns, please visit the Definitions to get a detailed breakdown.
Claims Tracking
Our platform provides two APIs for tracking claims information across customers. These are:View Claim Information
This endpoint allows merchants to retrieve detailed information about a specific claim using either the claim ID or the claim number. Endpoint:GET /claims/{claimId}
Path Parameters:
claimId(string, UUID): The unique identifier of the claim.
View All Claims
This endpoint allows merchants to retrieve a list of all claims associated with their account. Merchants can filter and paginate the results to manage large datasets effectively. Endpoint:GET /claims
Query Parameters:
customer_email(email, optional): Filter claims by the customer’s email address.first_name(string, optional): Filter claims by the customer’s first name.last_name(string, optional): Filter claims by the customer’s last name.phone_number(string, optional): Filter claims by the customer’s phone number.limit(integer, optional): Number of results to return per page. Defaults to a platform defined limit.offset(integer, optional): The initial index from which to return the results. Defaults to 0.
